
/***************************************************************************
 *   This file is part of Aspect, a simple PEC tool.                       *
 *                                                                         *
 *   Copyright (C) 2006-2007 by Wolfgang Hoffmann <woho@woho.de>           *
 *                                                                         *
 *   This program is free software, licensed under the GPL v2.             *
 *   See the file COPYING for more details.                                *
 ***************************************************************************/


#ifndef ASPECT_MCUSERIAL_H
#define ASPECT_MCUSERIAL_H


#include <QObject>


class QextSerialPort;
class QString;
class IMcuCmd;


class McuSerial : public QObject
    {
    Q_OBJECT

public:
    McuSerial();
    virtual ~McuSerial();

    bool open(const QString &qsPort);
    void close();
    bool send(IMcuCmd *pCmd);

signals:
    void log(const QString &qsText);

private:
    static QString hex(const QByteArray &aData);
    static void msleep(int nMsecs);

private:
    QextSerialPort *m_pSerPort;
    bool m_bOpen;
    };


#endif // ASPECT_MCUSERIAL_H

